VkPhysicalDeviceSampleLocationsPropertiesEXT Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkPhysicalDeviceSampleLocationsPropertiesEXT:
[legend]

## Data Fields

VkStructureType | sType
void * | pNext
VkSampleCountFlags | sampleLocationSampleCounts
VkExtent2D | maxSampleLocationGridSize
float | sampleLocationCoordinateRange [2]
uint32_t | sampleLocationSubPixelBits
VkBool32 | variableSampleLocations

## Detailed Description

Definition at line 7664 of file vulkan_core.h.

## Field Documentation

## maxSampleLocationGridSize

VkExtent2D VkPhysicalDeviceSampleLocationsPropertiesEXT::maxSampleLocationGridSize

Definition at line 7668 of file vulkan_core.h.

## pNext

void* VkPhysicalDeviceSampleLocationsPropertiesEXT::pNext

Definition at line 7666 of file vulkan_core.h.

## sampleLocationCoordinateRange

float VkPhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationCoordinateRange[2]

Definition at line 7669 of file vulkan_core.h.

## sampleLocationSampleCounts

VkSampleCountFlags VkPhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationSampleCounts

Definition at line 7667 of file vulkan_core.h.

## sampleLocationSubPixelBits

uint32_t VkPhysicalDeviceSampleLocationsPropertiesEXT::sampleLocationSubPixelBits

Definition at line 7670 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceSampleLocationsPropertiesEXT::sType

Definition at line 7665 of file vulkan_core.h.

## variableSampleLocations

VkBool32 VkPhysicalDeviceSampleLocationsPropertiesEXT::variableSampleLocations

Definition at line 7671 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h